; Super
	clr.l	-(SP)
	move.w	#$20,-(SP)
	trap	#1
	addq.l	#6,SP

; Set-up LMC1992
init_LMC1992
	move.l   D0,-(SP)
;	move.w   #%10000000001,D0   ;mix DMA+YM equally
	move.w   #%10000000010,D0   ;mix DMA+nothing
	bsr   set_LMC1992
	move.w   #%10001000110,D0   ;+0db bass
	bsr   set_LMC1992
	move.w   #%10010000110,D0   ;+0db treble
	bsr   set_LMC1992
	move.w   #%10011101000,D0   ;-0db master volume
	bsr   set_LMC1992
	move.w   #%10100010100,D0   ;-0db right
	bsr   set_LMC1992
	move.w   #%10101010100,D0   ;-0db left
	bsr   set_LMC1992
	move.l   (SP)+,D0
	; rts
	   
; LMC Test
	move.w   #$C1FF,$ffff8924.w   ;set microwire mask
	move.w   #$8000,$ffff8922.w  	;set microwire data
	
	
; Close
	clr.w		-(A7)
	trap		#1
	

set_LMC1992_Mask SET $7FF 
set_LMC1992
	move.w   SR,-(SP)      
	move.w   #$2700,SR         ;interrupts off during start of operation
	move.w   #set_LMC1992_Mask,$ffff8924.w   ;set microwire mask
	move.w   d0,$ffff8922.w
waitstart
	cmpi.w   #set_LMC1992_Mask,$ffff8924.w   ;wait for microwire write to start
	beq.s   waitstart
	move.w   (SP)+,SR
waitend   
	cmpi.w   #set_LMC1992_Mask,$ffff8924.w   ;wait for microwire
	bne.s   waitend            ;write to finish
	rts
 
